Get all job planning

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

job_planning
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key to jobs id.

globally unique identifier
user_id

Foreign key to user id.

globally unique identifier
date_from

Job planning date from

date
date_to

Job planning date to

date
sys_logical_delete

Logical Delete. If true, means that row has been flagged deleted and will be physically deleted in the next months

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "3340eb6a-f88b-4e89-882c-c5ca5333b439",
  "jobs_id": "67ad2f24-7bdd-4c21-ad1f-f7f4d29cf839",
  "user_id": "cc0bc2ec-4134-4308-a9b8-465d0fefb8d8",
  "date_from": "2026-11-19T17:37:38.9960731+00:00",
  "date_to": "2026-11-19T17:37:38.9960731+00:00",
  "sys_logical_delete": true,
  "modified_dateutc": "2026-11-19T17:37:38.9960731+00:00"
}